Printable version

Drivers & software

ROM Flash Firmware Package - Server Platform Services (SPS) Firmware for HPE Gen10 Servers

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Firmware - System
Version: 04.01.04.251(2 Apr 2019)
Operating System(s):
OS Independent | View all
File name: SPSGen10_04.01.04.251.fwpkg (3.0 MB)
This firmware package contains the HPE Gen10 SPS Firmware for HPE Gen10 Servers. It can be installed online through the use of tools such as Smart Update Manager (SUM) and the RESTful Interface Tool (iLOrest) on supported Operating Systems. Additionally, when used in conjunction with SUM or iLOrest, this firmware package allows the user to update firmware on remote servers from a central location. This remote deployment capability eliminates the need for the user to be physically present at the server in order to perform a firmware update.

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

None

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Known Issues:

None

Prerequisites:

HPE Gen10 system ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

 


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

44cf80c7da32776b20c834c69f5976020768cdf193a1d9a21eb0f4001c44b7b6 SPSGen10_04.01.04.251.fwpkg

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

To flash this firmware package, use the following iLOrest command.  See http://www.hpe.com/servers/resttool to download the latest version of the iLOrest tool.

localhost OS example:
ilorest flashfwpkg <file_name.fwpkg> 

remote example:
ilorest flashfwpkg <file_name.fwpkg> --url <iLO5_IP_Address> -u <iLO5_username> -p <iLO5_password>


This firmware package can also be installed with the latest version of Smart Update Manager (SUM).

Supplemental updates for supported ProLiant servers and options can be done by using SUM, which is found on the Service Pack for ProLiant (SPP) ISO.

  • Place the Service Pack for ProLiant on a USB key using the USB Key Creator Utility.
  • Place the desired firmware packages and components to be updated in the directory "\packages" on the USB key.

Update the firmware and software in the usual manner.

Reboot your system for the update to take effect immediately.


End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

Important Notes:

None

Deliverable Name:

HPE Gen10 Server Platform Services (SPS) Firmware

Release Version:

04.01.04.251

Last Recommended or Critical Revision:

04.00.04.393

Previous Revision:

04.00.04.393

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Problems Fixed:

None

Known Issues:

None


Important Notes:

None

Deliverable Name:

HPE Gen10 Server Platform Services (SPS) Firmware

Release Version:

04.01.04.251

Last Recommended or Critical Revision:

04.00.04.393

Previous Revision:

04.00.04.393

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Problems Fixed:

None

Known Issues:

None

Version:04.01.04.381(B) (21 Aug 2020)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

The Ver. 04.01.04.381(B) flash component contains an updated flash image. The actual firmware is exactly the same as was delivered with the original ver. 04.01.04.381 flash component. The previous flash component had an issue that caused flashing to intermittently fail. It is not necessary to upgrade with Revision B if a previous component Revision was successfully used to upgrade the firmware to version 04.01.04.381 or for systems that originally shipped with version 04.01.04.381 firmware.

Firmware Dependencies:

None

Problems Fixed:

Addressed an issue where systems configured with older versions of the Server Platform Services (SPS) Firmware, such as version 04.00.00.288 or older, may become inoperable after flashing to SPS firmware version 04.01.04.381. This releases contains an updated flash component for SPS Firmware 04.01.04.381 which allows direct flashing from older firmware versions to the latest.

Known Issues:

None

Enhancements

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for security vulnerability CVE-2020-0545. This issue is not unique to HPE Servers.


Version:04.01.04.381 (8 Jun 2020)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

REMOVED - This version of the SPS is NO LONGER AVAILABLE for download. It has been removed from the web for a flash update issue where systems upgrading from older SPS firmware versions can result in a system becoming non-bootable. A new version of the flash update will be made available at a future time.

Firmware Dependencies:

None

Enhancements/New Features:

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for security vulnerability CVE-2020-0545. This issue is not unique to HPE Servers.

Known Issues:

None


Version:04.01.04.339(B) (2 Apr 2020)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

Ver. 04.01.04.339 (B)  contains updates to the component packaging and is functionally equivalent to ver. 04.01.04.339.  It is not necessary to upgrade with Revision B if a previous component revision was used to upgrade the firmware to version 04.01.04.339.

Firmware Dependencies:

None

Enhancements/New Features:

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for a variety of security vulnerabilities. The following vulnerabilities have been addressed in this SPS release: CVE-2019-11090 and CVE-2019-11109. These issues are not unique to HPE servers.

Known Issues:

None


Version:04.01.04.339 (4 Nov 2019)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

None

Firmware Dependencies:

None

Enhancements/New Features:

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for a variety of security vulnerabilities. The following vulnerabilities have been addressed in this SPS release: CVE-2019-11090 and CVE-2019-11109. These issues are not unique to HPE servers.

Known Issues:

None

Version:04.01.04.296 (1 Jul 2019)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

None

Firmware Dependencies:

None

Problems Fixed:

Addressed an intermittent issue where an optional PCIe device may not properly report its thermal data or other telemetry data as seen through the Integrated Lights-Out (iLO) interface. This issue is not unique to HPE servers.

Known Issues:

None


Version:04.01.04.251 (2 Apr 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

None

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Known Issues:

None


Version:04.00.04.393 (12 Sep 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

This revision has mitigated security vulnerability CVE-2018-3643 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3643) and CVE-2018-3655 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3655). It is anticipated that details regarding these security vulnerabilities will be published to these links on September 11,2018. These security vulnerabilities are not unique to HPE servers.

This revision of the Silicon Platform Services (SPS) Firmware provides mitigation to the latest CSME security vulnerabilities, also known as Local Escalation Privilege. This vulnerability is defined in CVE-2019-0089. This issue is not unique to HPE servers.

Firmware Dependencies:

HPE Gen10 system ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.1.5.2 or later

Problems Fixed:

This revision has mitigated security vulnerability CVE-2018-3643 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3643) and CVE-2018-3655 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3655). It is anticipated that details regarding these security vulnerabilities will be published to these links on September 11, 2018. These security vulnerabilities are not unique to HPE servers.

This revision of the Silicon Platform Services (SPS) Firmware provides mitigation to the latest CSME security vulnerabilities, also known as Local Escalation Privilege. This vulnerability is defined in CVE-2019-0089. This issue is not unique to HPE servers.

Known Issues:

None


Type: Firmware - System
Version: 04.01.04.251(2 Apr 2019)
Operating System(s):
OS Independent
VMware vSphere 6.0
VMware vSphere 6.5
VMware vSphere 6.7

Description

This firmware package contains the HPE Gen10 SPS Firmware for HPE Gen10 Servers. It can be installed online through the use of tools such as Smart Update Manager (SUM) and the RESTful Interface Tool (iLOrest) on supported Operating Systems. Additionally, when used in conjunction with SUM or iLOrest, this firmware package allows the user to update firmware on remote servers from a central location. This remote deployment capability eliminates the need for the user to be physically present at the server in order to perform a firmware update.

Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

None

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Known Issues:

None

Installation Instructions

Prerequisites:

HPE Gen10 system ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

 


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

44cf80c7da32776b20c834c69f5976020768cdf193a1d9a21eb0f4001c44b7b6 SPSGen10_04.01.04.251.fwpkg

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

To flash this firmware package, use the following iLOrest command.  See http://www.hpe.com/servers/resttool to download the latest version of the iLOrest tool.

localhost OS example:
ilorest flashfwpkg <file_name.fwpkg> 

remote example:
ilorest flashfwpkg <file_name.fwpkg> --url <iLO5_IP_Address> -u <iLO5_username> -p <iLO5_password>


This firmware package can also be installed with the latest version of Smart Update Manager (SUM).

Supplemental updates for supported ProLiant servers and options can be done by using SUM, which is found on the Service Pack for ProLiant (SPP) ISO.

  • Place the Service Pack for ProLiant on a USB key using the USB Key Creator Utility.
  • Place the desired firmware packages and components to be updated in the directory "\packages" on the USB key.

Update the firmware and software in the usual manner.

Reboot your system for the update to take effect immediately.


Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

Important Notes:

None

Deliverable Name:

HPE Gen10 Server Platform Services (SPS) Firmware

Release Version:

04.01.04.251

Last Recommended or Critical Revision:

04.00.04.393

Previous Revision:

04.00.04.393

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Problems Fixed:

None

Known Issues:

None


Important

Important Notes:

None

Deliverable Name:

HPE Gen10 Server Platform Services (SPS) Firmware

Release Version:

04.01.04.251

Last Recommended or Critical Revision:

04.00.04.393

Previous Revision:

04.00.04.393

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Problems Fixed:

None

Known Issues:

None

Revision History

Version:04.01.04.381(B) (21 Aug 2020)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

The Ver. 04.01.04.381(B) flash component contains an updated flash image. The actual firmware is exactly the same as was delivered with the original ver. 04.01.04.381 flash component. The previous flash component had an issue that caused flashing to intermittently fail. It is not necessary to upgrade with Revision B if a previous component Revision was successfully used to upgrade the firmware to version 04.01.04.381 or for systems that originally shipped with version 04.01.04.381 firmware.

Firmware Dependencies:

None

Problems Fixed:

Addressed an issue where systems configured with older versions of the Server Platform Services (SPS) Firmware, such as version 04.00.00.288 or older, may become inoperable after flashing to SPS firmware version 04.01.04.381. This releases contains an updated flash component for SPS Firmware 04.01.04.381 which allows direct flashing from older firmware versions to the latest.

Known Issues:

None

Enhancements

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for security vulnerability CVE-2020-0545. This issue is not unique to HPE Servers.


Version:04.01.04.381 (8 Jun 2020)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

REMOVED - This version of the SPS is NO LONGER AVAILABLE for download. It has been removed from the web for a flash update issue where systems upgrading from older SPS firmware versions can result in a system becoming non-bootable. A new version of the flash update will be made available at a future time.

Firmware Dependencies:

None

Enhancements/New Features:

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for security vulnerability CVE-2020-0545. This issue is not unique to HPE Servers.

Known Issues:

None


Version:04.01.04.339(B) (2 Apr 2020)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

Ver. 04.01.04.339 (B)  contains updates to the component packaging and is functionally equivalent to ver. 04.01.04.339.  It is not necessary to upgrade with Revision B if a previous component revision was used to upgrade the firmware to version 04.01.04.339.

Firmware Dependencies:

None

Enhancements/New Features:

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for a variety of security vulnerabilities. The following vulnerabilities have been addressed in this SPS release: CVE-2019-11090 and CVE-2019-11109. These issues are not unique to HPE servers.

Known Issues:

None


Version:04.01.04.339 (4 Nov 2019)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

None

Firmware Dependencies:

None

Enhancements/New Features:

This image contains the latest Intel Server Platform Services (SPS) Firmware which contains mitigations for a variety of security vulnerabilities. The following vulnerabilities have been addressed in this SPS release: CVE-2019-11090 and CVE-2019-11109. These issues are not unique to HPE servers.

Known Issues:

None

Version:04.01.04.296 (1 Jul 2019)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

None

Firmware Dependencies:

None

Problems Fixed:

Addressed an intermittent issue where an optional PCIe device may not properly report its thermal data or other telemetry data as seen through the Integrated Lights-Out (iLO) interface. This issue is not unique to HPE servers.

Known Issues:

None


Version:04.01.04.251 (2 Apr 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important Notes:

None

Firmware Dependencies:

HPE Gen10 ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.2.0.11 or later

Enhancements/New Features:

Added support for Intel Xeon Scalable Performance 3200, 4200, 5200, 6200 and 8200 series processors.

Known Issues:

None


Version:04.00.04.393 (12 Sep 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important Notes:

This revision has mitigated security vulnerability CVE-2018-3643 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3643) and CVE-2018-3655 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3655). It is anticipated that details regarding these security vulnerabilities will be published to these links on September 11,2018. These security vulnerabilities are not unique to HPE servers.

This revision of the Silicon Platform Services (SPS) Firmware provides mitigation to the latest CSME security vulnerabilities, also known as Local Escalation Privilege. This vulnerability is defined in CVE-2019-0089. This issue is not unique to HPE servers.

Firmware Dependencies:

HPE Gen10 system ROM version 1.26 or later

HPE Gen10 Innovation Engine (IE) Firmware version 0.1.5.2 or later

Problems Fixed:

This revision has mitigated security vulnerability CVE-2018-3643 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3643) and CVE-2018-3655 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-3655). It is anticipated that details regarding these security vulnerabilities will be published to these links on September 11, 2018. These security vulnerabilities are not unique to HPE servers.

This revision of the Silicon Platform Services (SPS) Firmware provides mitigation to the latest CSME security vulnerabilities, also known as Local Escalation Privilege. This vulnerability is defined in CVE-2019-0089. This issue is not unique to HPE servers.

Known Issues:

None


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.